Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.namedRecordPipe
Class PipeWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.namedRecordPipe.PipeWriter

All Implemented Interfaces:
  IPipeWriter, IMonitoringRecordReceiver, IMonitoringWriter

    public final class PipeWriter

extends AbstractMonitoringWriter
implements IPipeWriter

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller, Robert von Massow

Field Summary
`static String` | `CONFIG_PIPENAME`

Constructor Summary
`PipeWriter(Configuration configuration)` Creates a new instance of this class using the given parameters.

Method Summary
`boolean` | `newMonitoringRecord(IMonitoringRecord monitoringRecord)` Called for each new record.
`void` | `terminate()` Called by the Monitoring Controller to announce a shutdown of monitoring.
`String` | `toString()` Delivers a string representation of this writer.

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`newMonitoringRecordNonBlocking, setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_PIPENAME

    public static final String CONFIG_PIPENAME

Constructor Detail

### PipeWriter

    public PipeWriter(Configuration configuration)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration used to initialize the pipe writer.

Method Detail

### terminate

    public final void terminate()

  Called by the Monitoring Controller to announce a shutdown of monitoring. Writers should return as soon as it is safe to terminate Kieker.

  Specified by:
    `terminate` in interface `IMonitoringWriter`

### newMonitoringRecord

    public final boolean newMonitoringRecord(IMonitoringRecord monitoringRecord)

  Called for each new record.

  Specified by:
    `newMonitoringRecord` in interface `IPipeWriter`
  Specified by:
    `newMonitoringRecord` in interface `IMonitoringRecordReceiver`
  Specified by:
    `newMonitoringRecord` in interface `IMonitoringWriter`
  Parameters:
    `monitoringRecord` - the record.
  Returns:
    true on success; false in case of an error.

### toString

    public String toString()

  Description copied from interface: `IMonitoringWriter`
  Delivers a string representation of this writer.

  Specified by:
    `toString` in interface `IMonitoringWriter`
  Overrides:
    `toString` in class `AbstractMonitoringWriter`
  Returns:
    A string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net